Skip to content
GET /unified/accounting/repeating_transactions/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
  • debug returns the final unified result alongside raw remote fetch information. The response is an envelope containing result (identical to unified mode output) and debug (with requestUrl, requestOptions, data, responseHeaders, and for list operations: nextCursor, isLooping, isEmptyResult, resultCount). debug is null for static responses or when truto_skip_api_call=true.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstreamdebug
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The unique identifier for repeating transaction

2 supported
QuickBooks
supported
Xero
supported
created_atstring · date-time

Rhe date when the repeating transaction was created

1 supported
QuickBooks
supported
day_of_monthnumber

The day of the month of the repeating transaction

2 supported
QuickBooks
supported
Xero
supported
day_of_weeknumber

The day of the week of the repeating transaction

1 supported
QuickBooks
supported
days_beforenumber

The days before of the repeating transaction

1 supported
QuickBooks
supported
end_datestring · date-time

The end date for the repeating transaction

2 supported
QuickBooks
supported
Xero
supported
entityobject

The entity of the repeating transaction. The schema will be based on the type of entity, but id and type will always be present.

2 supported
QuickBooks
supported
Xero
supported
idstring
required·

The unique identifier for the entity

typestring
required·

The type of the entity

Possible values:
invoicepurchase_ordervendor_creditcredit_notejournal_entry
interval_numnumber

The interval number of the repeating transaction. E.g., 1 (every 1 week), 2 (every 2 months), etc.

2 supported
QuickBooks
supported
Xero
supported
interval_typestring

The interval type of the repeating transaction

Possible values:
dailyweeklymonthlyyearly
2 supported
QuickBooks
supported
Xero
supported
max_occurrencesnumber

The maximum number of occurrences for the repeating transaction

1 supported
QuickBooks
supported
month_of_yearnumber

The month of the year of the repeating transaction

1 supported
QuickBooks
supported
namestring

The name of the repeating transaction

1 supported
QuickBooks
supported
next_datestring · date-time

The next date of the repeating transaction

2 supported
QuickBooks
supported
Xero
supported
prev_datestring · date-time

The previous date of the repeating transaction

1 supported
QuickBooks
supported
recurring_typestring

The recurring type of the repeating transaction

Possible values:
unscheduledautomatedreminded
1 supported
QuickBooks
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

start_datestring · date-time

The start date for the repeating transaction

2 supported
QuickBooks
supported
Xero
supported
statusboolean

The status of the repeating transaction

Possible values:
activearchived
2 supported
QuickBooks
supported
Xero
supported
updated_atstring · date-time

The date when the repeating transaction was updated

1 supported
QuickBooks
supported
week_of_monthnumber

The week of the month of the repeating transaction

1 supported
QuickBooks
supported
curl -X GET 'https://api.truto.one/unified/accounting/repeating_transactions/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/accounting/repeating_transactions/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/accounting/repeating_transactions/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'accounting',
  'repeatingtransactions',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "accounting",
        "repeatingtransactions",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())